You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@trafficserver.apache.org by zw...@apache.org on 2012/11/26 16:46:51 UTC

git commit: Moved the regression script to the ci area

Updated Branches:
  refs/heads/master 3af003a71 -> 17e6c89a9


Moved the regression script to the ci area


Project: http://git-wip-us.apache.org/repos/asf/trafficserver/repo
Commit: http://git-wip-us.apache.org/repos/asf/trafficserver/commit/17e6c89a
Tree: http://git-wip-us.apache.org/repos/asf/trafficserver/tree/17e6c89a
Diff: http://git-wip-us.apache.org/repos/asf/trafficserver/diff/17e6c89a

Branch: refs/heads/master
Commit: 17e6c89a9671d5081a602071f7f1633822f0d287
Parents: 3af003a
Author: Leif Hedstrom <zw...@apache.org>
Authored: Mon Nov 26 08:46:43 2012 -0700
Committer: Leif Hedstrom <zw...@apache.org>
Committed: Mon Nov 26 08:46:43 2012 -0700

----------------------------------------------------------------------
 ci/regression      |   80 +++++++++++++++++++++++++++++++++++++++++++++++
 contrib/regression |   80 -----------------------------------------------
 2 files changed, 80 insertions(+), 80 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/trafficserver/blob/17e6c89a/ci/regression
----------------------------------------------------------------------
diff --git a/ci/regression b/ci/regression
new file mode 100755
index 0000000..858ec34
--- /dev/null
+++ b/ci/regression
@@ -0,0 +1,80 @@
+#! /usr/bin/env bash
+
+#  Licensed to the Apache Software Foundation (ASF) under one
+#  or more contributor license agreements.  See the NOTICE file
+#  distributed with this work for additional information
+#  regarding copyright ownership.  The ASF licenses this file
+#  to you under the Apache License, Version 2.0 (the
+#  "License"); you may not use this file except in compliance
+#  with the License.  You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+#  Unless required by applicable law or agreed to in writing, software
+#  distributed under the License is distributed on an "AS IS" BASIS,
+#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+#  See the License for the specific language governing permissions and
+#  limitations under the License.
+
+#
+# Basic regression test script.
+#
+# Verify that the source tree builds and that out of tree builds work. We don't use root for any of this because
+# it should not be required (that would be a bug). Then run the automake regression tests and the traffic_server
+# regression tests.
+#
+
+set -e # exit on error
+
+TMPDIR=${TMPDIR:-/tmp}
+BUILDID="org.apache.trafficserver.$$"
+
+SRCROOT=${SRCROOT:-$(cd $(dirname $0)/.. && pwd)} # where the source lives
+OBJROOT=${OBJROOT:-"$TMPDIR/$BUILDID/obj"} # where we are building
+DSTROOT=${DSTROOT:-"$TMPDIR/$BUILDID/dst"} # where we are installing
+
+# Force low make parallelization so that the build can complete in a VM with
+# only a small amount of memory.
+NPROCS=${NPROCS:-2}
+
+mkdir -p $SRCROOT
+mkdir -p $OBJROOT
+mkdir -p $DSTROOT
+
+case $(uname) in
+  Darwin) CC=${CC:-clang}; CXX=${CXX:-clang++} ;;
+  *) CC=${CC:-cc}; CXX=${CXX:-c++} ;;
+esac
+
+autogen() {
+  [[ -e "$SRCROOT/configure" ]] || ( cd $SRCROOT && autoreconf -fi )
+}
+
+configure() {
+  [[ -e "$SRCROOT/Makefile" ]] && ( cd $SRCROOT && make distclean)
+
+  (
+    cd $OBJROOT
+    $SRCROOT/configure \
+      --prefix=$DSTROOT \
+      --enable-wccp \
+      --enable-experimental-plugins \
+      CC=$CC \
+      CXX=$CXX
+  )
+}
+
+build() {
+  ( cd $OBJROOT && make -j $NPROCS )
+  ( cd $OBJROOT && make install )
+}
+
+regress() {
+  ( cd $OBJROOT && make check )
+  $DSTROOT/bin/traffic_server -R 1
+}
+
+autogen
+configure
+build
+regress

http://git-wip-us.apache.org/repos/asf/trafficserver/blob/17e6c89a/contrib/regression
----------------------------------------------------------------------
diff --git a/contrib/regression b/contrib/regression
deleted file mode 100755
index 858ec34..0000000
--- a/contrib/regression
+++ /dev/null
@@ -1,80 +0,0 @@
-#! /usr/bin/env bash
-
-#  Licensed to the Apache Software Foundation (ASF) under one
-#  or more contributor license agreements.  See the NOTICE file
-#  distributed with this work for additional information
-#  regarding copyright ownership.  The ASF licenses this file
-#  to you under the Apache License, Version 2.0 (the
-#  "License"); you may not use this file except in compliance
-#  with the License.  You may obtain a copy of the License at
-#
-#      http://www.apache.org/licenses/LICENSE-2.0
-#
-#  Unless required by applicable law or agreed to in writing, software
-#  distributed under the License is distributed on an "AS IS" BASIS,
-#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-#  See the License for the specific language governing permissions and
-#  limitations under the License.
-
-#
-# Basic regression test script.
-#
-# Verify that the source tree builds and that out of tree builds work. We don't use root for any of this because
-# it should not be required (that would be a bug). Then run the automake regression tests and the traffic_server
-# regression tests.
-#
-
-set -e # exit on error
-
-TMPDIR=${TMPDIR:-/tmp}
-BUILDID="org.apache.trafficserver.$$"
-
-SRCROOT=${SRCROOT:-$(cd $(dirname $0)/.. && pwd)} # where the source lives
-OBJROOT=${OBJROOT:-"$TMPDIR/$BUILDID/obj"} # where we are building
-DSTROOT=${DSTROOT:-"$TMPDIR/$BUILDID/dst"} # where we are installing
-
-# Force low make parallelization so that the build can complete in a VM with
-# only a small amount of memory.
-NPROCS=${NPROCS:-2}
-
-mkdir -p $SRCROOT
-mkdir -p $OBJROOT
-mkdir -p $DSTROOT
-
-case $(uname) in
-  Darwin) CC=${CC:-clang}; CXX=${CXX:-clang++} ;;
-  *) CC=${CC:-cc}; CXX=${CXX:-c++} ;;
-esac
-
-autogen() {
-  [[ -e "$SRCROOT/configure" ]] || ( cd $SRCROOT && autoreconf -fi )
-}
-
-configure() {
-  [[ -e "$SRCROOT/Makefile" ]] && ( cd $SRCROOT && make distclean)
-
-  (
-    cd $OBJROOT
-    $SRCROOT/configure \
-      --prefix=$DSTROOT \
-      --enable-wccp \
-      --enable-experimental-plugins \
-      CC=$CC \
-      CXX=$CXX
-  )
-}
-
-build() {
-  ( cd $OBJROOT && make -j $NPROCS )
-  ( cd $OBJROOT && make install )
-}
-
-regress() {
-  ( cd $OBJROOT && make check )
-  $DSTROOT/bin/traffic_server -R 1
-}
-
-autogen
-configure
-build
-regress